import { AxiosInstance } from 'axios';
import { wrapAxios, AxiosLayer, AxiosConfig } from './wrap';
export declare type CreateOpts<T = unknown> = {
    layers: AxiosLayer<T>[];
    config?: AxiosConfig;
    axiosInstance?: AxiosInstance;
};
export declare type ExtendableAxios<T = unknown> = AxiosInstance & {
    extend: {
        (...layers: AxiosLayer<T>[]): ExtendableAxios<T>;
        (config: AxiosConfig<T>): ExtendableAxios<T>;
    };
};
export declare function createExtendConfigLayer<T>(config: AxiosConfig<T>): AxiosLayer<T>;
export declare function create<T>(options: CreateOpts<T>): ExtendableAxios<T>;
export * from './wrap';
export * from './layers';
declare const _default: {
    create: typeof create;
    wrapAxios: typeof wrapAxios;
};
export default _default;
