import { AxiosRequestConfig, AxiosInstance } from 'axios';
export declare type AxiosConfig<T = {}> = AxiosRequestConfig & T;
export declare type Options<T> = AxiosConfig<T> & {
    url: string;
    method: string;
    toArgs: () => any[];
};
export declare type AxiosLayer<T = unknown> = (makeRequest: (options?: Options<T>) => Promise<any>, options: Options<T>) => Promise<any>;
export declare function wrapAxios<T = unknown>(axiosInstance: AxiosInstance, ...layers: AxiosLayer<T>[]): void;
export declare function extendAxios<T = unknown>(axiosInstance: AxiosInstance, ...layers: AxiosLayer<T>[]): AxiosInstance;
